<?php

namespace App\Classes\Modules\ServiceTypes\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\ServiceTypes\DataTransferObjects\ServiceTypeObject;

class CanDeleteServiceType extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param ServiceTypeObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param ServiceTypeObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
